<?php

namespace Drp\SimpleCms\Scopes;

use Drp\SimpleCms\Content;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Scope;

class PublishedScope implements Scope
{
    // phpcs:disable Generic.CodeAnalysis.UnusedFunctionParameter.Found
    public function apply(Builder $builder, Model $model): void
    {
        $builder->where('status', Content::STATUS_PUBLISHED);
    }
    // phpcs:enable Generic.CodeAnalysis.UnusedFunctionParameter.Found
}
